<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | 																      |
// |                                                                      |
// | Portions Copyright (c) 2003-2006 Zen Cart Development Team           |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
//  $Id: 
//
/**
 * Observer class used to handle ajax faq
 *
 */
class faqRequest extends base 
{
	function faqRequest() {
		global $zco_notifier;
		$zco_notifier->attach($this, array('NOTIFY_HEADER_END_PRODUCT_INFO'));
		$zco_notifier->attach($this, array('NOTIFY_HEADER_END_FAQ_PAGE'));
	}
	
	function update(&$class, $eventID, $paramsArray) {
		global $messageStack;
    
    $fullname = zen_db_prepare_input($_POST['fullname']);
    $email_address = zen_db_prepare_input($_POST['email_address']);
    //$subject = zen_db_prepare_input($_POST['subject']);
    $message = zen_db_prepare_input($_POST['message']);
    $captcha = (int)zen_db_prepare_input($_POST['captcha']);
    $extra_info = email_collect_extra_info($name, $email_address, $customer_name, $customer_email);
    
		if(isset($_GET['action']) && $_GET['action'] == 'faq_request') {
			if(isset($email_address) && !empty($email_address) && isset($fullname) && !empty($fullname) && isset($message) && !empty($message)) {

				// captcha
				if($captcha !== (int)$_SESSION['simpleCaptcha']) {
				  echo json_encode(array('status' => 'error', 'message' => 'You have entered a wrong code. Please edit it and try again!'));
				  exit();
				}
				
			  $sql_data_array = array(
					'products_id' => (int)$_GET['products_id'],
					'products_model' => zen_get_products_model ((int)$_GET['products_id']),
					'products_name' => zen_get_products_name((int)$_GET['products_id'],$_SESSION['languages_id']),
					'fullname' => $fullname,
					'email_address' => $email_address,
					'subject' => $subject,
					'message' => $message,
					'date_created' => 'now()'
				);
				zen_db_perform(DB_PREFIX . 'faq_questions', $sql_data_array);
				
				$subject = sprintf('You have a new question about the %s', zen_get_products_name((int)$_GET['products_id'], $_SESSION['languages_id']));
				$textmsg = $message . "\n\n" . $extra_info['TEXT'];
        // Prepare HTML-portion of message
        $html_msg['EMAIL_MESSAGE_HTML'] = $message;
        $html_msg['CONTACT_US_OFFICE_FROM'] = '';
        $html_msg['EXTRA_INFO'] = $extra_info['HTML'];
    
				zen_mail(STORE_NAME, EMAIL_FROM, $subject, $textmsg, $fullname, $email_address, $html_msg, 'contact_us');
				if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
          echo json_encode(array('status' => 'success', 'message' => 'Your question has been sent, we will reply as soon as possible. Thank you for asking.'));
				} else {
          $messageStack->add_session('product_info', 'Your question has been sent, we will reply as soon as possible. Thank you!', 'success');
          zen_redirect(zen_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . (int)$_GET['products_id']));
        }
			} else {
        if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
          echo json_encode(array('status' => 'error', 'message' => 'Please fill in the required information and submit it again. Thank you.'));
        } else {
          $messageStack->add_session('product_info', 'Please fill in all information and try again!', 'warning');
          zen_redirect(zen_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . (int)$_GET['products_id']));
        }
			}
			exit();
		}
	}
}
